## r-cran-yulab.utils 0.1.4

=== DESCRIPTION ===
Package: yulab.utils
Title: Supporting Functions for Packages Maintained by 'YuLab-SMU'
Version: 0.1.4
Authors@R: c(person("Guangchuang", "Yu", email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")))
Description: Miscellaneous functions commonly used by 'YuLab-SMU'.
Imports: cli, digest, fs, memoise, rlang, stats, tools, utils
Suggests: httr, jsonlite, openssl
ByteCompile: true
URL: https://yulab-smu.top/
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.3.0
NeedsCompilation: no
Packaged: 2024-01-28 06:11:55 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2024-01-28 11:30:02 UTC

=== debian/changelog ===
r-cran-yulab.utils (0.1.4-1) unstable; urgency=medium

  * Source-only upload
  * New upstream version
  Trim trailing whitespace.
  Mark debian/rules as executable.
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 07 Feb 2024 08:15:48 +0100

r-cran-yulab.utils (0.1.3-1) unstable; urgency=medium

  * Initial release (closes: #1061506)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 18:33:37 +0100

=== debian/control ===
Source: r-cran-yulab.utils
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yulab.utils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yulab.utils.git
Homepage: https://cran.r-project.org/package=yulab.utils
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-digest,
               r-cran-fs,
               r-cran-memoise,
               r-cran-rlang
Testsuite: autopkgtest-pkg-r

Package: r-cran-yulab.utils
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R supporting functions for packages maintained by 'YuLab-SMU'
 This GNU R package contains miscellaneous functions commonly used by
 'YuLab-SMU'.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/yulab.utils_([-\d.]*)\.tar\.gz

## r-cran-yulab.utils 0.1.7

=== debian/changelog ===
r-cran-yulab.utils (0.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 08:46:25 +0900

## r-cran-yulab.utils 0.1.9

=== debian/changelog ===
r-cran-yulab.utils (0.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Jan 2025 08:58:51 +0900

## r-cran-yulab.utils 0.2.0

=== DESCRIPTION ===
Package: yulab.utils
Title: Supporting Functions for Packages Maintained by 'YuLab-SMU'
Version: 0.2.0
Authors@R: c(person("Guangchuang", "Yu", email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")))
Description: Miscellaneous functions commonly used by 'YuLab-SMU'.
Depends: R (>= 4.2.0)
Imports: cli, digest, fs, rlang, tools, utils
Suggests: httr2, jsonlite, openssl, rappdirs
ByteCompile: true
License: Artistic-2.0
URL: https://yulab-smu.top/
BugReports: https://github.com/YuLab-SMU/yulab.utils/issues
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-01-29 05:58:33 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2025-01-29 06:20:02 UTC

=== debian/changelog ===
r-cran-yulab.utils (0.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Feb 2025 09:43:14 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yulab.utils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yulab.utils.git
 Homepage: https://cran.r-project.org/package=yulab.utils
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -14,7 +14,6 @@
                r-cran-cli,
                r-cran-digest,
                r-cran-fs,
-               r-cran-memoise,
                r-cran-rlang
 Testsuite: autopkgtest-pkg-r

## r-cran-yulab.utils 0.2.4

=== DESCRIPTION ===
Package: yulab.utils
Title: Supporting Functions for Packages Maintained by 'YuLab-SMU'
Version: 0.2.4
Authors@R: c(person("Guangchuang", "Yu", email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")))
Description: Miscellaneous functions commonly used by 'YuLab-SMU'.
Depends: R (>= 4.2.0)
Imports: cli, digest, fs, methods, rappdirs, rlang, tools, utils
Suggests: httr2, jsonlite, openssl, R.utils, testthat (>= 3.0.0)
ByteCompile: true
License: Artistic-2.0
URL: https://yulab-smu.top/
BugReports: https://github.com/YuLab-SMU/yulab.utils/issues
Encoding: UTF-8
RoxygenNote: 7.3.3
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2026-02-01 23:57:30 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2026-02-02 06:30:02 UTC

=== debian/changelog ===
r-cran-yulab.utils (0.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Add autopkgtests.
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sat, 14 Feb 2026 18:50:03 +0900

=== debian/control ===
Source: r-cran-yulab.utils
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-yulab.utils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-yulab.utils.git
Homepage: https://cran.r-project.org/package=yulab.utils
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-digest,
 r-cran-fs,
 r-cran-rappdirs,
 r-cran-rlang,
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-yulab.utils
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R supporting functions for packages maintained by 'YuLab-SMU'
 This GNU R package contains miscellaneous functions commonly used by
 'YuLab-SMU'.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-httr2,
 r-cran-jsonlite,
 r-cran-openssl,
 r-cran-r.utils,
 r-cran-testthat (>= 3.0.0),
